MULTI_REPO = "releases/comm-beta"

config = {
    "log_name": "l10n_bumper",

    "gecko_pull_url": "https://hg.mozilla.org/{}".format(MULTI_REPO),
    "gecko_push_url": "ssh://hg.mozilla.org/{}".format(MULTI_REPO),

    "hg_user": "L10n Bumper Bot <release+l10nbumper@mozilla.com>",
    "ssh_key": "~/.ssh/ffxbld_rsa",
    "ssh_user": "ffxbld",

    "version_path": "mail/config/version.txt",

    "bump_configs": [{
        "path": "mail/locales/l10n-changesets.json",
        "format": "json",
        "name": "Thunderbird l10n changesets",
        "revision_url": "https://l10n.mozilla.org/shipping/l10n-changesets?av=tb%(MAJOR_VERSION)s",
        "ignore_config": {
            "ja": ["macosx64"],
            "ja-JP-mac": [
                "linux", "linux64",
                "win32", "win64",
            ],
        },
        "platform_configs": [{
            "platforms": [
                "linux", "linux64",
                "macosx64", "win32",
                "win64",
            ],
            "path": "mail/locales/shipped-locales",
            "format": "shipped-locales",
        }],
    }],
}

#  This Source Code Form is subject to the terms of the Mozilla Public
#  License, v. 2.0. If a copy of the MPL was not distributed with this
#  file, You can obtain one at http://mozilla.org/MPL/2.0/.

# This is a hack to run the script in a checkout Running this will
# leave some detritus in the mozilla-central directory.
config.update({
    'gecko_local_dir': '../comm',
})
